## slimevolley 2.4.2

=== beos/Makefile ===
CC=i386-mingw32-gcc
ifeq ($(SV_PORTABLE),yes)
CFLAGS+=-W -Wall -Wextra -DSV_PORTABLE=1 -I. `sdl-config --cflags`
THEME_SRC=obj/themes_portable.o
else
CFLAGS+=-W -Wall -Wextra -DSV_PORTABLE=1 -I. `sdl-config --cflags`
THEME_SRC=obj/themes_std.o
endif

LDFLAGS=`sdl-config --libs` -lSDL_image -lSDL_ttf -lSDL_net

all: obj slimevolley

obj:
	mkdir obj

slimevolley: obj/audio.o obj/clavier.o obj/credits.o obj/IA.o obj/jeu.o obj/menu_jeu.o obj/menu_options.o \
	obj/menu_princ.o obj/menu.o obj/objet.o obj/reseau_inter.o obj/reseau.o obj/slime.o obj/echelle.o obj/themes_general.o $(THEME_SRC)
	$(CC) -MD  -L winlib $^ $(LDFLAGS) -L winlib  -o $@
ifeq ($(SV_PORTABLE),yes)
	$(CC) $(CFLAGS) $(LDFLAGS) ../src/packer.c -o packer
	./packer
endif
	
obj/%.o: ../src/%.c
	$(CC) $(CFLAGS) -c $< -o $@

clean:
	@rm -rf obj/*.o >/dev/null 2>&1 || true
	@rm -rf *.d >/dev/null 2>&1 || true

mrproper: clean
	rm -f slimevolley

.PHONY: clean mrproper
