=== windows/Makefile ===
WIN_CC=i386-mingw32-gcc
WIN_DRES=i386-mingw32-windres
ifeq ($(SV_PORTABLE),yes)
WIN_CFLAGS=-W -Wall -MD -DSV_PORTABLE=1 -I winincs -I.
WIN_LDFLAGS=-s -static -lmingw32 -lSDLmain -mwindows -lSDL -lSDL_image -lSDL_ttf -lSDL_net
THEME_SRC=obj/themes_portable.o
else
WIN_CFLAGS=-W -Wall -MD -I winincs -I.
WIN_LDFLAGS=-lmingw32 -lSDLmain -mwindows -lSDL -lSDL_image -lSDL_ttf -lSDL_net -lintl
THEME_SRC=obj/themes_std.o
endif
CC=gcc
CFLAGS=-W -Wall `sdl-config --cflags` -I.
LDFLAGS=`sdl-config --libs`

all: winincs/SDL.h obj slimevolley.exe

winincs/SDL.h:
	./down_deps.sh

obj:
	mkdir obj

slimevolley.exe: obj/audio.o obj/clavier.o obj/credits.o obj/IA.o obj/ressources.o obj/jeu.o obj/menu_jeu.o obj/menu_options.o \
	obj/menu_princ.o obj/menu.o obj/objet.o obj/reseau_inter.o obj/reseau.o obj/slime.o obj/echelle.o obj/themes_general.o $(THEME_SRC)
	$(WIN_CC) -MD  -L winlibs $^ $(WIN_LDFLAGS) -L winlibs  -o $@
ifeq ($(SV_PORTABLE),yes)
	$(CC) $(CFLAGS) $(LDFLAGS) ../src/packer.c -o packer
	./packer
endif

obj/ressources.o: ressources.rc
	$(WIN_DRES) -i $^ -O coff -o $@
	
obj/%.o: ../src/%.c
	$(WIN_CC) $(WIN_CFLAGS) -c $< -o $@

clean:
	@rm -f obj/*.o >/dev/null 2>&1 || true
	@rm -f *.d >/dev/null 2>&1 || true

mrproper: clean
	rm -f slimevolley.exe

.PHONY: clean mrproper
