=== debian/changelog ===
slimevolley (2.4.2-1) unstable; urgency=low

  * Initial release (Closes: #539640)

 -- Vincent Duvert (VinDuv) <vincent.duvert@free.fr>  Sat, 06 Mar 2010 23:04:10 +0100
