=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

DOC_DIR = $(CURDIR)/debian/slimevolley-data/usr/share/doc/slimevolley-data

configure: configure-stamp
configure-stamp:
	dh_testdir
	cmake -DCMAKE_INSTALL_PREFIX=/usr -DBIN_DIR=games -DATA_DIR=/usr/share/games/slimevolley -DDATA_INSTALL_DIR=../../../debian/slimevolley-data/usr/share/games/slimevolley .

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	$(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	[ ! -f Makefile ] || $(MAKE) clean
	[ ! -d CMakeFiles ] || rm -r CMakeFiles	
	[ ! -d po/CMakeFiles ] || rm -r po/CMakeFiles
	[ ! -d data/icons/CMakeFiles ] || rm -r data/icons/CMakeFiles
	[ ! -d data/slimes/CMakeFiles ] || rm -r data/slimes/CMakeFiles
	[ ! -f slimevolley ] || rm slimevolley

	[ ! -d data/themes/arash/CMakeFiles ] || rm -r data/themes/arash/CMakeFiles
	[ ! -d data/themes/modern/CMakeFiles ] || rm -r data/themes/modern/CMakeFiles
	[ ! -d data/themes/mushrooms/CMakeFiles ] || rm -r data/themes/mushrooms/CMakeFiles

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) DESTDIR=$(CURDIR)/debian/slimevolley install

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs

	dh_installexamples
	dh_installmenu
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
