=== debian/watch ===
# See uscan(1) for details about this file.
version=3
http://download.tuxfamily.org/slime/slimevolley_([\d.]+)\.tar\.gz
