## slimevolley 2.4.2%2Bdfsg

=== debian/changelog ===
slimevolley (2.4.2+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS with CMake 4 (Closes: #1113510)

 -- Alexandre Detiste <tchet@debian.org>  Sat, 04 Oct 2025 13:48:12 +0200

slimevolley (2.4.2+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS with GCC 10. (Closes: #957813)
  * Update Standards-Version to 4.5.0:
    - Switch priority from extra to optional
    - Drop obsolete menu file
    - Declare that d/rules does not require root
  * Update debhelper compat level to 13:
    - Drop --parallel, as it is default
  * Enable all hardening options.
  * Import repository to salsa and set Vcs-* fields.
  * Switch upstream URLs to https.
  * Remove trailing whitespace.
  * Mark slimevolley-data as Multi-Arch: foreign.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sun, 20 Sep 2020 23:25:09 +0200

slimevolley (2.4.2+dfsg-2) unstable; urgency=medium

  * Team upload.
  * wrap-and-sort -sa.
  * Use compat level 9 and require debhelper >= 9.
  * d/control: Remove versioned constraints.
  * Declare compliance with Debian Policy 3.9.8.
  * Use canonical VCS-URI.
  * slimevolley.desktop: Add keywords and a comment in German.
  * debian/watch: Use version=4.
  * slimevolley-data: Change Recommends: slimevolley to Suggests.
  * Simplify debian/rules by using dh sequencer. (Closes: #822023)
  * Use install files and remove dirs file.
  * slimevolley.desktop: Use 64x64 pixel icon.

 -- Markus Koschany <apo@debian.org>  Sat, 04 Jun 2016 06:46:42 +0200

slimevolley (2.4.2+dfsg-1) unstable; urgency=low

  * Team upload.
  * Link to libm to prevent FTBFS with --no-add-needed.
    Closes: #615775
  * Slightly improve descriptions.
  * Add more copyright information about the font for the mushrooms theme.
  * Add a get-orig-source target to create DFSG-free tarball.
  * Use http://download.tuxfamily.org/slime/next/ in the watchfile.
  * In the DFSG-free tarball default/police.ttf and mushrooms/police.ttf
    are the same, remove one and symlink accordingly in the package.
  * Mangle version in the watchfile.
  * Standards-Version: 3.9.2

 -- Evgeni Golov <evgeni@debian.org>  Thu, 19 May 2011 18:34:22 +0200
