=== data/icons/CMakeLists.txt ===
INSTALL(FILES
	slimevolley.xpm
	slimevolley_64.xpm
	DESTINATION ${CMAKE_INSTALL_PREFIX}/share/pixmaps
)
