=== debian/watch ===
# See uscan(1) for details about this file.
version=3
opts=dversionmangle=s/\+dfsg// \
 http://download.tuxfamily.org/slime/next/slimevolley_([\d.]+)\.orig\.tar\.gz
